import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaInfraType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaInfraTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaInfraType[]> {
    return this.rpcService.call('MetaInfraTypeService.readAll');
  }
}
